/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.notification.filters.impl;

import org.ow2.jasmine.event.beans.JasmineEventNotification;
import org.ow2.jasmine.monitoring.eos.notification.filters.api.IFilter;
import org.ow2.util.log.Log;
import org.ow2.util.log.LogFactory;

/**
 * @author Guillaume Renault
 */
public class TrueFilter implements IFilter {

    /**
     *
     */
    private static final long serialVersionUID = -8991965605691381085L;

    /**
     * Logger.
     */
    private Log logger = LogFactory.getLog(TrueFilter.class);

    /**
     * Filter the given notification.
     *
     * @param notification the notification to check
     * @return true if the notification matches, false otherwise.
     */
    public boolean filter(final JasmineEventNotification notification) {
        logger.debug("True Filter executed");
        return true;
    }

}
